<?php
namespace Magento\Downloadable\Block\Customer\Products\ListProducts;

/**
 * Interceptor class for @see \Magento\Downloadable\Block\Customer\Products\ListProducts
 */
class Interceptor extends \Magento\Downloadable\Block\Customer\Products\ListProducts implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Customer\Helper\Session\CurrentCustomer $currentCustomer, \Magento\Downloadable\Model\ResourceModel\Link\Purchased\CollectionFactory $linksFactory, \Magento\Downloadable\Model\ResourceModel\Link\Purchased\Item\CollectionFactory $itemsFactory, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $currentCustomer, $linksFactory, $itemsFactory, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
